/* 
Project: L293D motor driver shield, two servo motors 5V 
Function: Both servo motors turn from 0 to 180 degrees and from 180 to 0 degrees in a loop
*/ 
//*****************************************************************
#include <Servo.h>   //include the library code
//*****************************************************************
const int servo1Pin = 10;  //servo motor 1 attached to digital pin 10
const int servo2Pin = 11;  //servo motor 2 attached to digital pin 11
Servo Servo1;              //create servo object to control a servo motor 1
Servo Servo2;              //create servo object to control a servo motor 2               
int pos = 0;               //variable to store the servo position 
//*****************************************************************
void setup() 
{ 
  Servo1.attach(servo1Pin);//servo motor 1 attached to servo1Pin
  Servo2.attach(servo2Pin);//servo motor 2 attached to servo2Pin
  Servo1.write(0);         //sets default position to the Servo1 object - 0 degrees
  Servo2.write(0);         //sets default position to the Servo2 object - 0 degrees
  delay(15);               //sets delay for 15 ms
} 
 
void loop() 
{ 

   for(pos = 0; pos <= 180; pos ++) // goes from 0 degrees to 180 degrees 
 
  {                                  // in steps of 1 degree 
    Servo1.write(pos);              // tell servo motor 1 to go to position in variable 'pos' 
    Servo2.write(pos);              // tell servo motor 2 to go to position in variable 'pos'
    delay(15);                      // waits 15ms for the servo to reach the position
    }  
  for(pos = 180; pos >=0; pos --)     // goes from 180 degrees to 0 degrees 
  {                                
    Servo1.write(pos);              // tell servo motor 1 to go to position in variable 'pos' 
    Servo2.write(pos);              // tell servo motor 2 to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
} 
